Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83223 - AS 2.1: cpu affinity APIs
Summary: AS 2.1: cpu affinity APIs
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-31 15:41 UTC by Larry Troan
Modified: 2016-04-18 09:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-18 02:57:15 UTC


Attachments (Terms of Use)

Description Larry Troan 2003-01-31 15:41:46 UTC
AS 2.1: 2.4.9-e.10.7 kernel: Does not have affinity APIs. Can have performance
implications, especially with HT. 
----------
Action by: venkateshpallipadi
Issue Registered

THIS IS ISSUE TRACKER 14564, TAKEN OUT BY INTEL AS A SEVERITY 2.
Copying Arjan at Larry Woodman's request.

Comment 1 Arjan van de Ven 2003-01-31 15:47:52 UTC
this sounds like exactly the kind of thing we don't do for AS2.1: change
ABI/API's  just for performance. While it might be possible to do without
breaking the kernel ABI (would need to be checked) it's an enhancement that
isn't worth changing the userspace interface imo. (it's not like it's a 3x
performance improvement)

Comment 2 Larry Troan 2003-02-18 02:57:15 UTC
Per comments here, I believe this Bug should be RESOLVED for AS2.1 as DEFERRED
and let Sue Denham handle it as Feature Tracker item for Taroon (3.0) 


Note You need to log in before you can comment on or make changes to this bug.